Page MenuHomePhabricator

tweakdefaults: add commands.status.verbose to tweakefaults
ClosedPublic

Authored by pulkit on Mar 11 2018, 4:31 AM.

Details

Summary

commands.status,verbose if set to True, shows conflict information in `hg
status`. It shows which unresolved state you are in, which are the unresolved
files and how to continue the unresolved state. That sounds like a very good
candidate for tweakdefaults.

bisect is added to commands.status.skipstates because people generally leave
unresolved bisect state and we should skip that in morestatus output.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

pulkit created this revision.Mar 11 2018, 4:31 AM
durin42 accepted this revision.Mar 12 2018, 5:34 PM
This revision is now accepted and ready to land.Mar 12 2018, 5:34 PM
This revision was automatically updated to reflect the committed changes.
martinvonz added inline comments.
mercurial/ui.py
66

I didn't notice this had changed until now. I've run hg bisect --bad to start bisecting twice in the last week or so and hg replies with "The first bad revision is:" etc. Of course, the reason that happens is because I had not cleared the bisect state from last time. I wonder if we should remove this line since it seems better for new users to include the bisect state reporting and advanced users who have gotten used to running hg bisect --reset to start bisecting can instead set the config. What do you think? Augie, how about you (it's you I had in mind with "advanced users can turn it off" :))?

durin42 added inline comments.May 8 2018, 12:28 AM
mercurial/ui.py
66

As long as skipstates is reasonably documented, I'm okay with this.

(I might even leave it on, given this good defense of an annoying feature.)

martinvonz added inline comments.May 9 2018, 4:42 PM
mercurial/ui.py
66

I think it's reasonably documented: https://www.mercurial-scm.org/repo/hg/file/4.6/mercurial/commands.py#l4860

I'll send a patch to remove "bisect" from status.skipstates. Thanks!